Subject: Re: bug#60936: 30.0.50; ERC >5.5: Add erc-fill style based on visual-line-mode

From: Michael Albinus <[email-masked]>
Date: Wed, 09 Aug 2023 18:50:58 +0200

"J.P." <[email-masked]> writes:

Hi,

> There have been three failures (all on native-comp-speed2-master) over
> the last three weeks pointing to these tests, which haven't changed in
> the year-plus they've existed in tree.  No test appears in multiple
> failures, and all continue to pass daily on commercial GitLab (GCP)
> runners using the same EMBA container image.  They also pass locally
> with "make check" and "make -j -C test SELECTOR=t check-lisp-erc".  If
> these tweaks don't fix the problem, they can be branded :unstable.

If the problem happens only on emba, you can skip the tests with

--8<---------------cut here---------------start------------->8---
  :tags (if (getenv "EMACS_EMBA_CI")
            '(:expensive-test :unstable)
          '(:expensive-test))
--8<---------------cut here---------------end--------------->8---

Best regards, Michael.